Module ij
Package ij.plugin

# Class GroupedZProjector

java.lang.Object
ij.plugin.GroupedZProjector

All Implemented Interfaces:
  `PlugIn`

public class GroupedZProjector extends Object implements PlugIn
Implements the Image/Stacks/Tools/Grouped Z Project command.

## Constructor Summary

Constructors
Constructor
Description
`GroupedZProjector()`

## Method Summary

Modifier and Type
Method
Description
`ImagePlus`
`groupZProject(ImagePlus imp, int method, int groupSize)`
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GroupedZProjector

public GroupedZProjector()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### groupZProject

public ImagePlus groupZProject(ImagePlus imp, int method, int groupSize)